octave-ltfat (2.5.0+dfsg-2ubuntu1) mantic; urgency=medium

  * Avoid FTBFS by ignoring dwz error, see #1040747:
    dwz: Couldn't find DIE at DW_FORM_ref_addr offset 0x2881e

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 18 Aug 2023 16:37:39 +0000

octave-ltfat (2.5.0+dfsg-2build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:30:07 +0000

octave-ltfat (2.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

  * d/control: Update Homepage URL
  * d/u/metadata: Add Documentation URL

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Jun 2023 08:08:36 -0300

octave-ltfat (2.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.5.0+dfsg
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage
  * d/octave-ltfat-common.lintian-overrides: Update for new syntax
    (file names inside square brackets)
  * d/p/build-against-octave-6.patch: Drop patch (applied upstream)
  * d/p/default-java18.patch: New patch (replaces default-java17.patch)
  * d/p/global-unit-tests-list.patch: Refresh for new upstream version
  * Install the packages using d/*.install files instead of using d/rules
  * d/u/metadata:
    + Fix Reference
    + Update Bug-Database, Bug-Submit, and Repository-Browse URLs
    + Add Repository field
    + Add Changelog field
  * Install upstream README file in the correct place
    + d/octave-ltfat-common.docs: New file
    + d/rules: Remove the README file from the wrong place
  * d/clean: Extend list of files to remove
  * d/rules: Remove wrongly installed directory

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Mar 2023 14:22:18 -0300

octave-ltfat (2.3.1+dfsg-10) unstable; urgency=medium

  * Upload to unstable (really, closes: #981933, #988657)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:31:25 -0300

octave-ltfat (2.3.1+dfsg-9) experimental; urgency=medium

  * d/control: Invert order of stanzas for octave-ltfat and octave-ltfat-common.
    This allows the correct creation of the symlinks for the upstream NEWS
    and ChangeLog files only in the octave-ltfat-common package.
    (Closes: #988657)
  * d/octave-ltfat.lintian-overrides: Fix name of package in comment
  * Override Lintian warning debian-changelog-file-is-a-symlink in the
    octave-ltfat-common package, instead of octave-ltfat.
  * d/p/default-java17.patch: New patch (Closes: #981933)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 23 May 2021 15:37:28 -0300

octave-ltfat (2.3.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:07:43 +0100

octave-ltfat (2.3.1+dfsg-7) experimental; urgency=medium

  * d/rules: Fix typo in variable syntax

 -- Rafael Laboissière <rafael@debian.org>  Sat, 05 Dec 2020 21:30:19 -0300

octave-ltfat (2.3.1+dfsg-6) experimental; urgency=medium

  * d/rules: Remove the arch-indep files for the octave-ltfat package
    (Closes: #976436)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 05 Dec 2020 12:12:46 -0300

octave-ltfat (2.3.1+dfsg-5) experimental; urgency=medium

  * d/rules: Fix the installation of the upstream README file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 04 Dec 2020 04:15:21 -0300

octave-ltfat (2.3.1+dfsg-4) experimental; urgency=medium

  * d/p/build-against-octave-6.patch: New patch (Closes: #976212)
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/control:
    + Bump debhelper compatibitlity level to 13
    + Bump Standards-Version to 4.5.1 (no changes needed)
  * Remove inst/ltfat/ in d/clean, not d/rules
  * d/rules:
    + Use execute(before|after)_dh_* instead oc override_dh_*
    + Drop obsolete code for removing the COPYING files
    + Remove useless Python script test_ltfatarghelper.py
    + Move the README file to the appropriate place
  * d/clean: Delete left-over files src/{confdefs.h,conftest.c}
  * d/p/global-unit-tests-list.patch: Set Forwarded: not-needed
  * d/octave-ltfat.lintian-overrides: Override Lintian warning
    debian-changelog-file-is-a-symlink
  * d/p/spelling-error-playrec.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Dec 2020 15:27:33 -0300

octave-ltfat (2.3.1+dfsg-3) unstable; urgency=medium

  * d/rules: Use override_dh_installdebconf instead of _auto_install for cleanup
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 14:09:04 -0300

octave-ltfat (2.3.1+dfsg-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 04 Jan 2019 07:06:21 -0200

octave-ltfat (2.3.1+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.3.1+dfsg
  * d/check.m: Ensure that the disp function is correctly dispatched.
    For that, add function d/@char/disp.m.

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:42:13 -0300

octave-ltfat (2.3.0+dfsg.1-1) unstable; urgency=medium

  * New upstream version 2.3.0+dfsg.1
  * d/copyright:
    + Exclude extraneous symlink project.bib
    + Reflect upstream changes
  * d/p/poly2mask-unit-tests.patch: Drop patch (applied upstream)
  * d/control: Bump Standards-Version to 4.1.4
  * Migrate target get-orig-source into debian/watch
  * d/octave-ltfat.examples: New file
  * Exclude unit tests for frames
    + d/p/global-unit-tests-list.patch: New patch
    + d/check.m: Set global variable LTFAT_TESTS_TODO

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 May 2018 08:48:59 -0300

octave-ltfat (2.2.0+dfsg-8) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Force build-dependency on a modern default-jdk (Closes: #891697)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 06 Mar 2018 01:58:50 -0300

octave-ltfat (2.2.0+dfsg-7) unstable; urgency=medium

  * d/rules: Remove extraneous directory with duplicated ChangeLog
    (Closes: #890109)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 22:18:20 -0200

octave-ltfat (2.2.0+dfsg-6) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:33:00 -0200

octave-ltfat (2.2.0+dfsg-5) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:46 -0200

octave-ltfat (2.2.0+dfsg-4) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Bump Standards-Version to 4.0.1 (no changes needed)
  * d/rules: Use DEB_BUILD_MAINT_OPTIONS

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 15 Aug 2017 16:08:08 -0300

octave-ltfat (2.2.0+dfsg-3) unstable; urgency=medium

  * Use a more robust way for doing architecture-specific unit test
  * d/p/poly2mask-unit-tests.patch: Add patch
  * d/copyrght: Refresh for new upstream version
  * d/rules: Remove extra license file (Lintian warning)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Jan 2017 14:49:07 -0200

octave-ltfat (2.2.0+dfsg-2) unstable; urgency=medium

  * d/check.m: Do not run unit tests on mips64el architecture

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 08 Jan 2017 17:43:27 -0200

octave-ltfat (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg
  * d/u/metadata: Add citation
  * Bump debhelper compat level to 10
  * d/control:
    + Build-depends on octave-pkg-dev >= 1.4.4
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/s/options: Set extend-diff-ignore option

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 01 Jan 2017 20:53:44 -0200

octave-ltfat (2.1.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.2+dfsg
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)
  * d/copyright: Refresh for new upstream version

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 24 Mar 2016 12:30:51 +0100

octave-ltfat (2.1.1+dfsg-2) unstable; urgency=medium

  * d/control: Use secure URIs in the Vcs-* fields
  * d/README.Debian: New file, with package activation instructions.
    Thanks to Andrei Demekhov for the suggestion (Closes: #812775)
  * d/control: Add Suggests relationship on octave-signal.
    This is needed for running demo_wfbt.

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 30 Jan 2016 09:14:21 +0100

octave-ltfat (2.1.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1+dfsg
  * d/rules:
    + Allow unit testing on all architectures
    + Drop the fix for *.m file permissions
  * d/copyright:
    + Update for upstream changes
    + Remove duplicated definition of GPL-2+

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 07 Nov 2015 18:55:41 +0100

octave-ltfat (2.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.1.0+dfsg
  * d/rules: Prevent unit testing on armhf and mips.
    This avoids FTBFS on theses architectures (see Bug#765545).
  * Unit testing does not need X-window anymore
    + d/rules: Do not use xfvb-run to run the tests.
    + d/control: Drop xauth, xvfb, and gnuplot-nox from Build-Depends.
      Also, the versioned dependency on octave-pkg-dev is relaxed.
  * Drop .jar file from upstream tarball, complying with the Debian Policy
    + d/copyright: Exclude file blockproc.jar
    + d/rules: Add get-orig-source target
    + d/watch: Mangle upstream version to cope with "+dfsg" tag
  * Build blockproc.jar, which is deleted from the upstream tarball
    + d/rules: Add commands for building blockproc.jar
    + d/control: Build-depend on default-jdk
    + d/p/fix-path-of-included-makefile.patch: New patch
  * Bump Standard-Versions to 3.9.6 (no changes needed)
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump Build-Depends on octave to >> 4.0.0~rc4-1 (for sndfile support)
  * d/check.m: Avoid verbose output of unit tests
  * d/watch: Add the repacksuffix option
  * d/p/add-hardening-flags.patch: Drop patch (applied upstream)
  * d/p/fix-path-of-included-makefile.patch: Drop patch (applied upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 23:36:41 +0200

octave-ltfat (2.0.1-1) unstable; urgency=low

  * Imported Upstream version 2.0.1
  * d/p/autoload-yes.patch: Refresh patch
  * d/p/add-subdirs-to-loadpath.patch: Drop patch (fixed upstream)
  * d/check.m: Use the upstream unit testing script
  * d/rules: Fix permission of all *.m files

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 09 Oct 2014 13:58:00 -0300

octave-ltfat (1.4.4-3) unstable; urgency=medium

  * Add security hardening build flags

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 04:30:46 -0300

octave-ltfat (1.4.4-2) unstable; urgency=low

  * debian/rules: Run tests with xvfb-run
  * Ensure that arch-indep files are installed when building the arch-dep
    package

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 01 Sep 2014 06:04:13 -0300

octave-ltfat (1.4.4-1) unstable; urgency=low

  * Initial release (closes: #747039)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 04 May 2014 22:14:56 +0200
